module OW_taper_areal
!--------------------------------------------------
! Compute vref
!

use OW_type
use OW_parms_areal

implicit none

contains

subroutine owtaper(tapertr,taper)

integer				:: tapertr,i
real				:: taper(:)

taper=1.

do i=1,tapertr
   taper(i)=(1+cos(pi*(tapertr-i+1)/tapertr))/2
   taper(size(taper)-i+1)=taper(i)
end do
end subroutine owtaper

end module
